Skip to main content
GET
/
api
/
v1
/
brand-metrics
/
raw
Brand Raw Data
curl --request GET \
  --url https://api.shareofsearch.jplus.io/api/v1/brand-metrics/raw \
  --header 'Authorization: Bearer <token>'
{
  "total_count": 123,
  "items": [
    {
      "collect_id": "<string>",
      "source": "<string>",
      "keyword_id": "<string>",
      "rank": 123,
      "brand": "<string>",
      "collected_at": "2023-11-07T05:31:56Z",
      "text": "<string>",
      "project_id": "<string>",
      "citation_urls": [
        "<string>"
      ],
      "competitor_type": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

collect_ids
string<uuid>[]
required

Collect Ids

Minimum array length: 1
sources
enum<string>[] | null
Available options:
Bing,
BingAIO,
ChatGPT,
Perplexity,
Google,
GoogleAIO,
GoogleAIMode,
Claude,
Gemini,
AmazonRufus
thematics
string[] | null
keyword_type
string[] | null
persona_ids
string[] | null
topic_ids
string[] | null
funnel_stages
enum<string>[] | null
Available options:
ToFu,
MoFu,
BoFu
competitor_types
enum<string>[] | null
Available options:
BRANDED_WEBSITE,
COMMUNITY_HELP_CENTER,
COMPARISON_SITE,
GOVERNMENT_ACADEMIC,
INFLUENCER_CREATOR_BLOG,
NEWS_MEDIA,
PRODUCT_REVIEW_SITE,
QA_FORUM,
RETAIL_ECOMMERCE,
SPECIALIST_BLOG,
WIKI_ENCYCLOPEDIA,
UNKNOWN
page_number
integer | null
Required range: x >= 1
rows_per_page
integer | null
Required range: 1 <= x <= 1000
project_id
string
required

Project Id

client_id
string
required

Client id

Response

Successful Response

total_count
integer
required
items
BrandMetricRawItem · object[]
required